# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "algo_rust_sdk"
version = "1.0.2"
authors = ["mraof <mraof@mraof.com>", "Kwame Bryan <kwame.bryan@gmail.com>"]
description = "This is the Rust implementation of the Algorand SDK originally developed by mraof and maintained by KBryan"
homepage = "https://github.com/KBryan/algorand_rust_sdk"
readme = "README.md"
keywords = ["cli", "blockchain"]
categories = ["command-line-utilities", "sdk", "blockchain"]
license = "MIT "
repository = "https://github.com/KBryan/algorand_rust_sdk"

[[test]]
name = "cucumber"
harness = false
[dependencies.async-trait]
version = "0.1.42"

[dependencies.data-encoding]
version = "2.1.2"

[dependencies.futures]
version = "0.3.8"

[dependencies.gherkin_rust]
version = "^0.8"

[dependencies.indexmap]
version = "1.2.0"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.rand]
version = "0.7.2"

[dependencies.reqwest]
version = "0.9.20"

[dependencies.ring]
version = "0.16.9"

[dependencies.rmp]
version = "0.8.8"

[dependencies.rmp-serde]
version = "0.14.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_bytes]
version = "0.11"

[dependencies.serde_json]
version = "1.0.40"

[dependencies.sha2]
version = "0.8.0"

[dependencies.static_assertions]
version = "0.3.4"
[dev-dependencies.chrono]
version = "0.4.9"

[dev-dependencies.cucumber]
version = "^0.6.0"
package = "cucumber_rust"

[dev-dependencies.dirs]
version = "2.0"
